EZ_EnterEvent(3)

NAME
EZ_EnterEvent, EZ_GLEnterEvent - enter an event

SYNOPSIS
#include <EZ.h>

int EZ_EnterEvent( EZ_Widget *widget, int etype, int *values)
int EZ_GLEnterEvent( EZ_Widget *canvas, int etype, int *values)

ARGUMENTS
widget Specifies a widget.

canvas Specifies a 3D canvas.

etype Specifies the type of event to be entered. It must be one of EZ_REDRAW, EZ_RESIZE, EZ_LEFT_BUTTON_PRESS, EZ_MIDDLE_BUTTON_PRESS, EZ_RIGHT_BUTTON_PRESS, EZ_LEFT_BUTTON_RELEASE, EZ_MIDDLE_BUTTON_RELEASE, EZ_RIGHT_BUTTON_RELEASE, EZ_POINTER_MOTION, EZ_ENTER_WINDOW, EZ_LEAVE_WINDOW or EZ_KEY_PRESS.

values Specifies additional information relevent to the event being sent or NULL.

DESCRIPTION
EZ_EnterEvent enters the specified event to the specified widget window. It returns 1 on success and returns 0 otherwise.

If values is not NULL, its interpretation depends on the event type.

If etype is button-press, button-release or pointer-motion, values[0] and values[1] specified the position of the pointer.

If etype is key-press, values[0] is the key being pressed and values[1] & (ControlMask | Mod1Mask | ShiftMask) represents the state of the modifier keys.

EZ_GLEnterEvent is very similar to EZ_EnterEvent except that it only sends events to 3D canvases.